API reference
Onboarding
API reference descriptions are provided in English to preserve the exact published contract.
List resumable and recent Embedded Signup sessions
GET /v1/accounts/{AC}/onboarding/sessions
getV1AccountsByAcOnboardingSessionsPaginated200
Required scope: `senders:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
limit | query · integer (1–100) | | |
cursor | query · string (max 2048 chars) | | |
AC | path · string (AC… SID) | yes | Account SID |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Create an Embedded Signup v4 session
POST /v1/accounts/{AC}/onboarding/sessions
postV1AccountsByAcOnboardingSessionsIdempotency-Key required201
Required scope: `senders:write`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
Request body (3 fields)
Request body| Name | Type | Required | Description |
|---|
dashboardSessionId | string (max 512 chars) | yes | |
hosted | boolean | | |
reconnectOperationSid | string (OP… SID) | | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Fetch an Embedded Signup session
GET /v1/accounts/{AC}/onboarding/sessions/{id}
getV1AccountsByAcOnboardingSessionsById200
Required scope: `senders:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | |
id | path · string (uuid) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Cancel an unfinished Embedded Signup session
POST /v1/accounts/{AC}/onboarding/sessions/{id}/cancel
postV1AccountsByAcOnboardingSessionsByIdCancelIdempotency-Key required200
Required scope: `senders:write`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | |
id | path · string (uuid) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Consume an Embedded Signup event and exchange its code
POST /v1/accounts/{AC}/onboarding/sessions/{id}/complete
postV1AccountsByAcOnboardingSessionsByIdCompleteIdempotency-Key required200
Required scope: `senders:write`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | |
id | path · string (uuid) | yes | |
Request body (11 fields)
Request body| Name | Type | Required | Description |
|---|
businessId | string (max 128 chars) | | |
code | string (max 4096 chars) | | |
currentStep | string (max 128 chars) | | |
dashboardSessionId | string (max 512 chars) | yes | |
errorMessage | string (max 1024 chars) | | |
event | "FINISH" | "FINISH_ONLY_WABA" | "FINISH_WHATSAPP_BUSINESS_APP_ONBOARDING" | "FINISH_OBO_MIGRATION" | "FINISH_GRANT_ONLY_API_ACCESS" | "CANCEL" | "ERROR" | yes | |
phoneNumberId | string (max 128 chars) | | |
portfolioId | string (max 128 chars) | | |
sessionId | string (max 512 chars) | | |
state | string (max 256 chars) | yes | |
wabaId | string (max 128 chars) | | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Explain the exact onboarding readiness decision and next action
GET /v1/accounts/{AC}/onboarding/sessions/{id}/readiness
getV1AccountsByAcOnboardingSessionsByIdReadiness200
Required scope: `senders:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | |
id | path · string (uuid) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
List authorized WhatsApp Business Accounts
GET /v1/accounts/{AC}/wabas
getV1AccountsByAcWabas200
Required scope: `wabas:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
businessId | query · string (max 128 chars) | | |
limit | query · integer (1–100) | | |
AC | path · string (AC… SID) | yes | Account SID |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.